Skip to main content
DELETE
/
api
/
v1
/
apps
/
{app_id}
/
resource_types
/
{app_resource_type_id}
/
resources
/
{id}
DeleteManuallyManagedAppResource
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppResource.DeleteManuallyManagedAppResource(ctx, operations.C1APIAppV1AppResourceServiceDeleteManuallyManagedAppResourceRequest{
        AppID: "<id>",
        AppResourceTypeID: "<id>",
        ID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.DeleteManuallyManagedAppResourceResponse != nil {
        // handle response
    }
}
{}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The ID of the app that owns the resource.

app_resource_type_id
string
required

The ID of the resource type that classifies the resource.

id
string
required

The ID of the app resource to delete.

Body

application/json

The request message for deleting a manually managed app resource.

Response

200 - application/json

The empty response message for deleting a manually managed app resource.

The empty response message for deleting a manually managed app resource.